## chemps2 1.8.7

=== CMakeLists.txt ===
project (CheMPS2)
set (CheMPS2_MMP_VERSION   "1.8.7")
set (CheMPS2_VERSION       "${CheMPS2_MMP_VERSION} (2018-03-25)")
#set (CheMPS2_VERSION       "${CheMPS2_MMP_VERSION}-15 (2017-05-22)")
set (CheMPS2_AUTHORS       "Sebastian Wouters")
set (CheMPS2_DESCRIPTION   "A spin-adapted implementation of DMRG for ab initio quantum chemistry")
set (CheMPS2_EMAIL         "sebastianwouters@gmail.com")
set (CheMPS2_URL           "https://github.com/SebWouters/CheMPS2")
set (CheMPS2_LICENSE       "GNU General Public License, version 2")
set (CheMPS2_LIB_SOVERSION 3)

cmake_minimum_required (VERSION 3.0.2)

# <<<  CMake includes  >>>

include (GNUInstallDirs)
include (CheckCXXCompilerFlag)
include (CMakePackageConfigHelpers)

# <<<  Default CMake options  >>>

option (MKL                  "Compile using the MKL"                   OFF)
option (BUILD_DOXYGEN        "Use Doxygen to create a HTML/PDF manual" OFF)
option (BUILD_SPHINX         "Build the user manual with Sphinx"       OFF)
option (STATIC_ONLY          "Compile only the static library"         OFF)
option (SHARED_ONLY          "Compile only the shared library"         OFF)
option (ENABLE_TESTS         "Compile the tests"                       ON)
option (ENABLE_XHOST         "Enable processor-specific optimizations" ON)
option (ENABLE_GENERIC       "Enable mostly static linking in shared library" OFF)
option (ENABLE_OPENMP        "Enable OpenMP parallelization"           ON)
option (WITH_MPI             "Build the library with MPI"              OFF)
option (BUILD_FPIC           "Static library in STATIC_ONLY will be compiled with position independent code" OFF)

set (CMAKE_VERBOSE_MAKEFILE  OFF)
set (CMAKE_MODULE_PATH       ${CMAKE_MODULE_PATH} "${CheMPS2_SOURCE_DIR}/CMake/")

if (STATIC_ONLY AND SHARED_ONLY)
    message (FATAL_ERROR "The options STATIC_ONLY=ON and SHARED_ONLY=ON are conflicting." )
endif()

# <<<  Enable MPI  >>>

if (WITH_MPI)
    add_definitions (-DCHEMPS2_MPI_COMPILATION)
endif ()

# <<< Pass CheMPS2 version  >>>

add_definitions(-DCHEMPS2_VERSION="${CheMPS2_VERSION}")

# <<<  Check build type  >>>

if (NOT CMAKE_BUILD_TYPE)
    set (CMAKE_BUILD_TYPE "Release" CACHE STRING "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel." FORCE)
endif()
message("-- The CMake build type is ${CMAKE_BUILD_TYPE}")

# <<<  Enable OpenMP  >>>

if (ENABLE_OPENMP)
    find_package (OpenMP)
    if (OPENMP_FOUND)
        set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
        set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
    endif()
endif()

# <<<  Enable host specific optimizations  >>>

if (ENABLE_XHOST)
    check_cxx_compiler_flag (-xHost HAS_XHOST)
    check_cxx_compiler_flag (-march=native HAS_MARCH_NATIVE)
    if (HAS_XHOST)
        set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -xHost")
    elseif (HAS_MARCH_NATIVE)
        set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -march=native")
    endif()
endif()

# <<<  Enable inter-parts / link-time optimization  >>>

check_cxx_compiler_flag (-ipo HAS_IPO)
if (HAS_IPO)
    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ipo")
endif()

check_cxx_compiler_flag (-flto HAS_FLTO)
if (HAS_FLTO)
    set (CMAKE_CXX_FLAGS "-flto ${CMAKE_CXX_FLAGS}")
endif()

# <<<  Enable generic  >>>

if (ENABLE_GENERIC)
    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -static-libstdc++ -static-libgcc")
    check_cxx_compiler_flag (-static-intel HAS_INTEL_COMPILERS)
    if (HAS_INTEL_COMPILERS)
        set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -static-intel -wd10237")
    endif()
endif()

# <<<  Find LAPACK and BLAS  >>>

link_directories ($ENV{LD_LIBRARY_PATH})
if (MKL)
    set (ENV{BLA_VENDOR} "Intel10_64lp")
endif()

find_package (TargetLAPACK REQUIRED)

get_property(_lapack_libraries TARGET tgt::lapack PROPERTY INTERFACE_LINK_LIBRARIES)
foreach (_l IN LISTS _lapack_libraries)
    if (${_l} MATCHES "mkl")
        set (MKL "ON")
    endif()
endforeach()

if (MKL)
    add_definitions (-DCHEMPS2_MKL)
endif ()

# <<<  Find HDF5  >>>

find_package (TargetHDF5 REQUIRED)

# <<<  Add source files, tests, sphinx, and doxygen  >>>

enable_testing ()
add_subdirectory (CheMPS2)
if (ENABLE_TESTS)
    add_subdirectory (tests)
endif()

if (BUILD_SPHINX)
    add_subdirectory (sphinx)
endif()

if (BUILD_DOXYGEN)
    find_package (Doxygen)
    if (NOT DOXYGEN_FOUND)
        message (FATAL_ERROR "Doxygen is needed to build the documentation. Please install it correctly.")
    endif()
    configure_file (${CheMPS2_SOURCE_DIR}/CheMPS2/Doxyfile.in ${CheMPS2_BINARY_DIR}/Doxyfile @ONLY IMMEDIATE)
    add_custom_target (doc COMMAND ${DOXYGEN_EXECUTABLE} ${CheMPS2_BINARY_DIR}/Doxyfile SOURCES ${CheMPS2_BINARY_DIR}/Doxyfile)
endif()

# <<<  Export config  >>>

# GNUInstallDirs "DATADIR" wrong here; CMake search path wants "share".
set (CMAKECONFIG_INSTALL_DIR "share/cmake/${PROJECT_NAME}")
configure_package_config_file (${CheMPS2_SOURCE_DIR}/CMake/${PROJECT_NAME}Config.cmake.in
                                    "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake"
                                    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR})
write_basic_package_version_file (${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake
                                      VERSION ${CheMPS2_MMP_VERSION}
                                      COMPATIBILITY AnyNewerVersion)
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake
               ${CheMPS2_SOURCE_DIR}/CMake/FindTargetHDF5.cmake
               DESTINATION ${CMAKECONFIG_INSTALL_DIR})

=== debian/changelog ===
chemps2 (1.8.7-3) unstable; urgency=medium

  * autopkgtest: renamed upstream to libtest,
    added pytest and bintest

 -- Sebastian Wouters <sebastianwouters@gmail.com>  Sat, 19 May 2018 16:01:06 +0200

chemps2 (1.8.7-2) unstable; urgency=medium

  * libchemps2-dev Multi-Arch: no (Closes: #897329)
  * rules: export DEB_BUILD_MAINT_OPTIONS=hardening=+all
  * Bump debhelper to 11
  * Bump Standards-Version to 4.1.4
  * Added autopkgtest (upstream test1)

 -- Sebastian Wouters <sebastianwouters@gmail.com>  Sat, 05 May 2018 19:21:27 +0200

chemps2 (1.8.7-1) unstable; urgency=medium

  * Upstream 1.8.6: Set initial guess to ROHF determinant
  * Added optional arguments to DMRG::DMRG and
    DMRG::setupBookkeeperAndMPS
  * Upstream 1.8.7: Bump up SO version
  * libchemps2-2 becomes libchemps2-3

 -- Sebastian Wouters <sebastianwouters@gmail.com>  Sun, 25 Mar 2018 22:09:14 +0200

=== debian/control ===
Source: chemps2
Section: libs
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Sebastian Wouters <sebastianwouters@gmail.com>,
           Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 11),
               cmake (>= 3.0.2),
               libblas-dev,
               liblapack-dev,
               libhdf5-dev,
               dh-python,
               python3-all (>= 3.6),
               python3-setuptools,
               python3-docutils,
               python3-sphinx (>= 1.1),
               cython3 (>= 0.19),
               python3-numpy,
               libpython3-dev,
               libjs-mathjax,
               libjs-jquery,
               libjs-underscore
Standards-Version: 4.1.4
Homepage: http://sebwouters.github.io/CheMPS2/index.html
Vcs-Git: https://salsa.debian.org/debichem-team/chemps2.git
Vcs-Browser: https://salsa.debian.org/debichem-team/chemps2

Package: libchemps2-3
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: chemps2-doc
Description: Spin-adapted DMRG for ab initio quantum chemistry
 chemps2 is a scientific library which contains a spin-adapted
 implementation of the density matrix renormalization group (DMRG)
 for ab initio quantum chemistry. This wavefunction method allows one
 to obtain numerical accuracy in active spaces beyond the capabilities
 of full configuration interaction (FCI), and allows one to extract
 the 2-, 3-, and 4-particle reduced density matrices (2-, 3- and 4-RDM)
 of the active space.
 .
 For general active spaces up to 40 electrons in 40 orbitals can be
 handled with DMRG, and for one-dimensional active spaces up to 100
 electrons in 100 orbitals. The 2-RDM of these active spaces can
 also be easily extracted, while the 3- and 4-RDM are limited to
 about 28 orbitals.
 .
 When the active space size becomes prohibitively expensive for FCI,
 DMRG can be used to replace the FCI solver in the complete active
 space self consistent field (CASSCF) method and the corresponding
 complete active space second order perturbation theory (CASPT2).
 The corresponding methods are called DMRG-SCF and DMRG-CASPT2,
 respectively. For DMRG-SCF the active space 2-RDM is required, and
 for DMRG-CASPT2 the active space 4-RDM.

Package: libchemps2-dev
Section: libdevel
Architecture: any
Multi-Arch: no
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libchemps2-3 (= ${binary:Version})
Suggests: chemps2-doc
Description: C++ headers, static library, and symlink for libchemps2-3
 chemps2 is a scientific library which contains a spin-adapted
 implementation of the density matrix renormalization group (DMRG)
 for ab initio quantum chemistry. This wavefunction method allows one
 to obtain numerical accuracy in active spaces beyond the capabilities
 of full configuration interaction (FCI), and allows one to extract
 the 2-, 3-, and 4-particle reduced density matrices (2-, 3- and 4-RDM)
 of the active space.
 .
 For general active spaces up to 40 electrons in 40 orbitals can be
 handled with DMRG, and for one-dimensional active spaces up to 100
 electrons in 100 orbitals. The 2-RDM of these active spaces can
 also be easily extracted, while the 3- and 4-RDM are limited to
 about 28 orbitals.
 .
 When the active space size becomes prohibitively expensive for FCI,
 DMRG can be used to replace the FCI solver in the complete active
 space self consistent field (CASSCF) method and the corresponding
 complete active space second order perturbation theory (CASPT2).
 The corresponding methods are called DMRG-SCF and DMRG-CASPT2,
 respectively. For DMRG-SCF the active space 2-RDM is required, and
 for DMRG-CASPT2 the active space 4-RDM.
 .
 This package installs the C++ headers, static library, and symlink
 for libchemps2.

Package: chemps2-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Description: Documentation of the libchemps2-3 package
 chemps2 is a scientific library which contains a spin-adapted
 implementation of the density matrix renormalization group (DMRG)
 for ab initio quantum chemistry. This wavefunction method allows one
 to obtain numerical accuracy in active spaces beyond the capabilities
 of full configuration interaction (FCI), and allows one to extract
 the 2-, 3-, and 4-particle reduced density matrices (2-, 3- and 4-RDM)
 of the active space.
 .
 For general active spaces up to 40 electrons in 40 orbitals can be
 handled with DMRG, and for one-dimensional active spaces up to 100
 electrons in 100 orbitals. The 2-RDM of these active spaces can
 also be easily extracted, while the 3- and 4-RDM are limited to
 about 28 orbitals.
 .
 When the active space size becomes prohibitively expensive for FCI,
 DMRG can be used to replace the FCI solver in the complete active
 space self consistent field (CASSCF) method and the corresponding
 complete active space second order perturbation theory (CASPT2).
 The corresponding methods are called DMRG-SCF and DMRG-CASPT2,
 respectively. For DMRG-SCF the active space 2-RDM is required, and
 for DMRG-CASPT2 the active space 4-RDM.
 .
 This is the common documentation package.

Package: chemps2
Section: science
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libchemps2-3 (= ${binary:Version})
Breaks: libchemps2-1 (<< 1.7-1~)
Replaces: libchemps2-1 (<< 1.7-1~)
Suggests: chemps2-doc
Description: Executable to call libchemps2-3 from the command line
 chemps2 is a scientific library which contains a spin-adapted
 implementation of the density matrix renormalization group (DMRG)
 for ab initio quantum chemistry. This wavefunction method allows one
 to obtain numerical accuracy in active spaces beyond the capabilities
 of full configuration interaction (FCI), and allows one to extract
 the 2-, 3-, and 4-particle reduced density matrices (2-, 3- and 4-RDM)
 of the active space.
 .
 For general active spaces up to 40 electrons in 40 orbitals can be
 handled with DMRG, and for one-dimensional active spaces up to 100
 electrons in 100 orbitals. The 2-RDM of these active spaces can
 also be easily extracted, while the 3- and 4-RDM are limited to
 about 28 orbitals.
 .
 When the active space size becomes prohibitively expensive for FCI,
 DMRG can be used to replace the FCI solver in the complete active
 space self consistent field (CASSCF) method and the corresponding
 complete active space second order perturbation theory (CASPT2).
 The corresponding methods are called DMRG-SCF and DMRG-CASPT2,
 respectively. For DMRG-SCF the active space 2-RDM is required, and
 for DMRG-CASPT2 the active space 4-RDM.
 .
 This package installs the executable which parses Hamiltonians in
 fcidump format, performs DMRG-SCF and DMRG-CASPT2 calculations as
 specified by the user.

Package: python3-chemps2
Section: python
Architecture: any
Multi-Arch: same
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         libchemps2-3 (= ${binary:Version})
Suggests: chemps2-doc
Description: Python 3 interface for libchemps2-3
 chemps2 is a scientific library which contains a spin-adapted
 implementation of the density matrix renormalization group (DMRG)
 for ab initio quantum chemistry. This wavefunction method allows one
 to obtain numerical accuracy in active spaces beyond the capabilities
 of full configuration interaction (FCI), and allows one to extract
 the 2-, 3-, and 4-particle reduced density matrices (2-, 3- and 4-RDM)
 of the active space.
 .
 For general active spaces up to 40 electrons in 40 orbitals can be
 handled with DMRG, and for one-dimensional active spaces up to 100
 electrons in 100 orbitals. The 2-RDM of these active spaces can
 also be easily extracted, while the 3- and 4-RDM are limited to
 about 28 orbitals.
 .
 When the active space size becomes prohibitively expensive for FCI,
 DMRG can be used to replace the FCI solver in the complete active
 space self consistent field (CASSCF) method and the corresponding
 complete active space second order perturbation theory (CASPT2).
 The corresponding methods are called DMRG-SCF and DMRG-CASPT2,
 respectively. For DMRG-SCF the active space 2-RDM is required, and
 for DMRG-CASPT2 the active space 4-RDM.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
# Cfr. https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=773266
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

DEB_BUILD_OPTIONS += partialcheck

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

override_dh_auto_configure:
#	echo "DEB_HOST_MULTIARCH = ${DEB_HOST_MULTIARCH}"
#	echo "DEB_HOST_GNU_TYPE  = ${DEB_HOST_GNU_TYPE}"
	dh_auto_configure -- -DCMAKE_INSTALL_LIBDIR=lib/${DEB_HOST_MULTIARCH} \
                             -DENABLE_XHOST=OFF \
                             -DBUILD_SPHINX=ON \
                             -DHDF5_INCLUDE_DIRS=/usr/include/hdf5/serial \
                             -DCMAKE_BUILD_TYPE=release

override_dh_auto_build:
	dh_auto_build -- VERBOSE=1
	# https://wiki.debian.org/Python/LibraryStyleGuide: info on sphinx-build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -b html \
                                                           -c obj-${DEB_HOST_GNU_TYPE}/sphinx/ \
                                                           -D html_theme=default \
                                                           -D mathjax_path="/usr/share/javascript/mathjax/MathJax.js" sphinx/ build-sphinx/html
	# I know it's ugly, but sphinx splits strings at equality signs: http://svn.python.org/projects/doctools/trunk/sphinx/cmdline.py
	cd build-sphinx/html && sed -i "s/MathJax.js/MathJax.js?config=TeX-AMS-MML_HTMLorMML/" *.html
	# Solving the complaints from lintian about jquery.js & underscore.js
	cd build-sphinx/html && sed -i "s/_static\/jquery.js/\/usr\/share\/javascript\/jquery\/jquery.js/" *.html
	cd build-sphinx/html && sed -i "s/_static\/underscore.js/\/usr\/share\/javascript\/underscore\/underscore.js/" *.html
	cd build-sphinx/html/_static && rm jquery*.js underscore*.js
	cd PyCheMPS2 && CPATH=../CheMPS2/include:/usr/include/hdf5/serial python3 setup.py build_ext -L ../obj-${DEB_HOST_GNU_TYPE}/CheMPS2

override_dh_auto_install:
	dh_auto_install
	# This will skip the build as it is already performed
	cd PyCheMPS2 && CPATH=../CheMPS2/include:/usr/include/hdf5/serial python3 setup.py install --root=../debian/tmp --install-layout=deb
	dh_numpy3

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS))) # nocheck NOT in variable
    ifeq (,$(filter fullcheck,$(DEB_BUILD_OPTIONS))) # fullcheck NOT in variable
	cd obj-${DEB_HOST_GNU_TYPE}/ && ctest -R "^test3|^test5|^test8"
    else
	dh_auto_test
    endif
#Just check if the first python test works: python and c++ tests are identical
	cd PyCheMPS2/tests && PYTHONPATH=../../$(shell find -name lib.*):.. \
                              LD_LIBRARY_PATH=../../obj-${DEB_HOST_GNU_TYPE}/CheMPS2:/usr/lib/${DEB_HOST_MULTIARCH}/hdf5/serial \
                              python3 test1.py
else
	echo "DEB_BUILD_OPTIONS contains nocheck: no tests will be performed."
endif

# Now handled by debian/chemps2.manpages
#override_dh_installman:
#	dh_installman chemps2.1

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md

override_dh_clean:
	dh_clean
	rm -rf build-sphinx PyCheMPS2/build PyCheMPS2/PyCheMPS2.cpp PyCheMPS2/*.pyc

%:
	dh $@ --with python3

## chemps2 1.8.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project (CheMPS2)
-set (CheMPS2_MMP_VERSION   "1.8.7")
-set (CheMPS2_VERSION       "${CheMPS2_MMP_VERSION} (2018-03-25)")
+set (CheMPS2_MMP_VERSION   "1.8.8")
+set (CheMPS2_VERSION       "${CheMPS2_MMP_VERSION} (2018-09-26)")
 #set (CheMPS2_VERSION       "${CheMPS2_MMP_VERSION}-15 (2017-05-22)")
 set (CheMPS2_AUTHORS       "Sebastian Wouters")
 set (CheMPS2_DESCRIPTION   "A spin-adapted implementation of DMRG for ab initio quantum chemistry")

=== debian/changelog ===
chemps2 (1.8.8-1build1) disco; urgency=medium

  * No-change rebuild to build for python3.7 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 Oct 2018 12:34:27 +0000

chemps2 (1.8.8-1) unstable; urgency=medium

  * Upstream 1.8.8: Print number of MPS variables

 -- Sebastian Wouters <sebastianwouters@gmail.com>  Fri, 05 Oct 2018 13:50:59 +0000

## chemps2 1.8.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project (CheMPS2)
-set (CheMPS2_MMP_VERSION   "1.8.8")
-set (CheMPS2_VERSION       "${CheMPS2_MMP_VERSION} (2018-09-26)")
+set (CheMPS2_MMP_VERSION   "1.8.9")
+set (CheMPS2_VERSION       "${CheMPS2_MMP_VERSION} (2018-10-29)")
 #set (CheMPS2_VERSION       "${CheMPS2_MMP_VERSION}-15 (2017-05-22)")
 set (CheMPS2_AUTHORS       "Sebastian Wouters")
 set (CheMPS2_DESCRIPTION   "A spin-adapted implementation of DMRG for ab initio quantum chemistry")

=== debian/changelog ===
chemps2 (1.8.9-1build3) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:11:20 +0100

chemps2 (1.8.9-1build2) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:30:49 +0000

chemps2 (1.8.9-1build1) disco; urgency=medium

  * Rebuild against new libhdf5-103.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Dec 2018 11:20:11 +0100

chemps2 (1.8.9-1) unstable; urgency=medium

  * Upstream 1.8.9: Bug fix long double literals in Wigner.cpp

 -- Sebastian Wouters <sebastianwouters@gmail.com>  Fri, 16 Nov 2018 11:29:15 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libjs-mathjax,
                libjs-jquery,
                libjs-underscore
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: http://sebwouters.github.io/CheMPS2/index.html
 Vcs-Git: https://salsa.debian.org/debichem-team/chemps2.git
 Vcs-Browser: https://salsa.debian.org/debichem-team/chemps2

## chemps2 1.8.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project (CheMPS2)
-set (CheMPS2_MMP_VERSION   "1.8.9")
-set (CheMPS2_VERSION       "${CheMPS2_MMP_VERSION} (2018-10-29)")
+set (CheMPS2_MMP_VERSION   "1.8.10")
+set (CheMPS2_VERSION       "${CheMPS2_MMP_VERSION} (2021-02-01)")
 #set (CheMPS2_VERSION       "${CheMPS2_MMP_VERSION}-15 (2017-05-22)")
 set (CheMPS2_AUTHORS       "Sebastian Wouters")
 set (CheMPS2_DESCRIPTION   "A spin-adapted implementation of DMRG for ab initio quantum chemistry")
@@ -37,6 +37,9 @@
 if (STATIC_ONLY AND SHARED_ONLY)
     message (FATAL_ERROR "The options STATIC_ONLY=ON and SHARED_ONLY=ON are conflicting." )
 endif()
+
+# <<<  Build with HDF5 1.10 API: CheMPS2 does not support HDF5 1.12 API  >>>
+add_definitions(-DH5_USE_110_API)
 
 # <<<  Enable MPI  >>>

=== debian/changelog ===
chemps2 (1.8.10-1) unstable; urgency=medium

  * New upstream release.

  [ Helmut Grohne ]
  * Reduce Build-Depends: build sphinx during indep build only. (Closes:
    #983221).

 -- Michael Banck <mbanck@debian.org>  Sun, 21 Feb 2021 12:21:35 +0100

=== debian/rules ===
--- 
+++ 
@@ -17,12 +17,13 @@
 #	echo "DEB_HOST_GNU_TYPE  = ${DEB_HOST_GNU_TYPE}"
 	dh_auto_configure -- -DCMAKE_INSTALL_LIBDIR=lib/${DEB_HOST_MULTIARCH} \
                              -DENABLE_XHOST=OFF \
-                             -DBUILD_SPHINX=ON \
+                             -DBUILD_SPHINX=$(if $(filter chemps2-doc,$(shell dh_listpackages)),ON,OFF) \
                              -DHDF5_INCLUDE_DIRS=/usr/include/hdf5/serial \
                              -DCMAKE_BUILD_TYPE=release
 
 override_dh_auto_build:
 	dh_auto_build -- VERBOSE=1
+execute_after_dh_auto_build-indep:
 	# https://wiki.debian.org/Python/LibraryStyleGuide: info on sphinx-build
 	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -b html \
                                                            -c obj-${DEB_HOST_GNU_TYPE}/sphinx/ \
@@ -34,6 +35,7 @@
 	cd build-sphinx/html && sed -i "s/_static\/jquery.js/\/usr\/share\/javascript\/jquery\/jquery.js/" *.html
 	cd build-sphinx/html && sed -i "s/_static\/underscore.js/\/usr\/share\/javascript\/underscore\/underscore.js/" *.html
 	cd build-sphinx/html/_static && rm jquery*.js underscore*.js
+execute_after_dh_auto_build-arch:
 	cd PyCheMPS2 && CPATH=../CheMPS2/include:/usr/include/hdf5/serial python3 setup.py build_ext -L ../obj-${DEB_HOST_GNU_TYPE}/CheMPS2
 
 override_dh_auto_install:

## chemps2 1.8.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project (CheMPS2)
-set (CheMPS2_MMP_VERSION   "1.8.10")
-set (CheMPS2_VERSION       "${CheMPS2_MMP_VERSION} (2021-02-01)")
+set (CheMPS2_MMP_VERSION   "1.8.11")
+set (CheMPS2_VERSION       "${CheMPS2_MMP_VERSION} (2022-01-09)")
 #set (CheMPS2_VERSION       "${CheMPS2_MMP_VERSION}-15 (2017-05-22)")
 set (CheMPS2_AUTHORS       "Sebastian Wouters")
 set (CheMPS2_DESCRIPTION   "A spin-adapted implementation of DMRG for ab initio quantum chemistry")

=== debian/changelog ===
chemps2 (1.8.11-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 19:08:51 +0000

chemps2 (1.8.11-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/relax_hdf5_cmake_version_requirement.patch: Dropped patch,
    applied upstream. 

 -- Michael Banck <mbanck@debian.org>  Tue, 11 Jan 2022 10:04:54 +0100

chemps2 (1.8.10-3) unstable; urgency=medium

  * debian/watch: Updated.
  * debian/patches/relax_hdf5_cmake_version_requirement.patch: New patch,
    removes the EXACT HDF5 library version requirement from the chemps2 CMake
    file.

 -- Michael Banck <mbanck@debian.org>  Sat, 08 Jan 2022 22:29:02 +0100

chemps2 (1.8.10-2) unstable; urgency=medium

  * debian/rules (override_dh_auto_build): Build python extension during both
    arch-all and arch-any builds.
  * debian/libchemps2-3.symbols: Updated. 

 -- Michael Banck <mbanck@debian.org>  Mon, 22 Feb 2021 09:03:12 +0100

=== debian/control ===
--- 
+++ 
@@ -13,13 +13,13 @@
                python3-all (>= 3.6),
                python3-setuptools,
                python3-docutils,
-               python3-sphinx (>= 1.1),
                cython3 (>= 0.19),
                python3-numpy,
                libpython3-dev,
-               libjs-mathjax,
-               libjs-jquery,
-               libjs-underscore
+Build-Depends-Indep: python3-sphinx (>= 1.1),
+                     libjs-mathjax,
+                     libjs-jquery,
+                     libjs-underscore
 Standards-Version: 4.2.1
 Homepage: http://sebwouters.github.io/CheMPS2/index.html
 Vcs-Git: https://salsa.debian.org/debichem-team/chemps2.git

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,7 @@
 
 override_dh_auto_build:
 	dh_auto_build -- VERBOSE=1
+	cd PyCheMPS2 && CPATH=../CheMPS2/include:/usr/include/hdf5/serial python3 setup.py build_ext -L ../obj-${DEB_HOST_GNU_TYPE}/CheMPS2
 execute_after_dh_auto_build-indep:
 	# https://wiki.debian.org/Python/LibraryStyleGuide: info on sphinx-build
 	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -b html \
@@ -35,8 +36,6 @@
 	cd build-sphinx/html && sed -i "s/_static\/jquery.js/\/usr\/share\/javascript\/jquery\/jquery.js/" *.html
 	cd build-sphinx/html && sed -i "s/_static\/underscore.js/\/usr\/share\/javascript\/underscore\/underscore.js/" *.html
 	cd build-sphinx/html/_static && rm jquery*.js underscore*.js
-execute_after_dh_auto_build-arch:
-	cd PyCheMPS2 && CPATH=../CheMPS2/include:/usr/include/hdf5/serial python3 setup.py build_ext -L ../obj-${DEB_HOST_GNU_TYPE}/CheMPS2
 
 override_dh_auto_install:
 	dh_auto_install

## chemps2 1.8.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project (CheMPS2)
-set (CheMPS2_MMP_VERSION   "1.8.11")
-set (CheMPS2_VERSION       "${CheMPS2_MMP_VERSION} (2022-01-09)")
+set (CheMPS2_MMP_VERSION   "1.8.12")
+set (CheMPS2_VERSION       "${CheMPS2_MMP_VERSION} (2022-03-09)")
 #set (CheMPS2_VERSION       "${CheMPS2_MMP_VERSION}-15 (2017-05-22)")
 set (CheMPS2_AUTHORS       "Sebastian Wouters")
 set (CheMPS2_DESCRIPTION   "A spin-adapted implementation of DMRG for ab initio quantum chemistry")

=== CheMPS2/CMakeLists.txt ===
cmake_policy (SET CMP0022 NEW)
cmake_policy (SET CMP0028 NEW)

set (CHEMPS2LIB_SOURCE_FILES "CASPT2.cpp"
                             "CASSCF.cpp"
                             "CASSCFdebug.cpp"
                             "CASSCFnewtonraphson.cpp"
                             "CASSCFpt2.cpp"
                             "ConjugateGradient.cpp"
                             "ConvergenceScheme.cpp"
                             "Correlations.cpp"
                             "Cumulant.cpp"
                             "Davidson.cpp"
                             "DIIS.cpp"
                             "DMRG.cpp"
                             "DMRGfock.cpp"
                             "DMRGmpsio.cpp"
                             "DMRGoperators.cpp"
                             "DMRGoperators3RDM.cpp"
                             "DMRGSCFindices.cpp"
                             "DMRGSCFintegrals.cpp"
                             "DMRGSCFmatrix.cpp"
                             "DMRGSCFoptions.cpp"
                             "DMRGSCFrotations.cpp"
                             "DMRGSCFunitary.cpp"
                             "DMRGSCFwtilde.cpp"
                             "DMRGtechnics.cpp"
                             "EdmistonRuedenberg.cpp"
                             "Excitation.cpp"
                             "FCI.cpp"
                             "FourIndex.cpp"
                             "Hamiltonian.cpp"
                             "Heff.cpp"
                             "HeffDiagonal.cpp"
                             "HeffDiagrams1.cpp"
                             "HeffDiagrams2.cpp"
                             "HeffDiagrams3.cpp"
                             "HeffDiagrams4.cpp"
                             "HeffDiagrams5.cpp"
                             "Initialize.cpp"
                             "Irreps.cpp"
                             "Molden.cpp"
                             "PrintLicense.cpp"
                             "Problem.cpp"
                             "Sobject.cpp"
                             "SyBookkeeper.cpp"
                             "Tensor3RDM.cpp"
                             "TensorF0.cpp"
                             "TensorF1.cpp"
                             "TensorGYZ.cpp"
                             "TensorKM.cpp"
                             "TensorL.cpp"
                             "TensorO.cpp"
                             "TensorOperator.cpp"
                             "TensorQ.cpp"
                             "TensorS0.cpp"
                             "TensorS1.cpp"
                             "TensorT.cpp"
                             "TensorX.cpp"
                             "ThreeDM.cpp"
                             "TwoDM.cpp"
                             "TwoIndex.cpp"
                             "Wigner.cpp")

add_library (chemps2-base OBJECT ${CHEMPS2LIB_SOURCE_FILES})
target_include_directories (chemps2-base PRIVATE ${CheMPS2_SOURCE_DIR}/CheMPS2/include/chemps2
                                                 $<TARGET_PROPERTY:tgt::hdf5,INTERFACE_INCLUDE_DIRECTORIES>)

if (BUILD_FPIC OR NOT STATIC_ONLY)
    set_target_properties (chemps2-base PROPERTIES POSITION_INDEPENDENT_CODE 1)
endif()

if (NOT STATIC_ONLY)
    add_library           (chemps2-shared SHARED  $<TARGET_OBJECTS:chemps2-base>)
    target_link_libraries (chemps2-shared PRIVATE ${LIBC_INTERJECT})
    target_link_libraries (chemps2-shared PUBLIC  tgt::lapack
                                                  tgt::hdf5)
    set_target_properties (chemps2-shared PROPERTIES SOVERSION ${CheMPS2_LIB_SOVERSION}
                                                     MACOSX_RPATH ON
                                                     OUTPUT_NAME "chemps2"
                                                     EXPORT_NAME "chemps2")
endif()

if (NOT SHARED_ONLY)
    add_library           (chemps2-static STATIC  $<TARGET_OBJECTS:chemps2-base>)
    target_link_libraries (chemps2-static PRIVATE ${LIBC_INTERJECT})
    target_link_libraries (chemps2-static PUBLIC  tgt::lapack
                                                  tgt::hdf5)
    set_target_properties (chemps2-static PROPERTIES OUTPUT_NAME "chemps2"
                                                     EXPORT_NAME "chemps2")
endif()

if (STATIC_ONLY)
    add_library (chemps2-lib ALIAS chemps2-static)
else ()
    add_library (chemps2-lib ALIAS chemps2-shared)
endif()

add_executable             (chemps2-bin executable.cpp)
target_link_libraries      (chemps2-bin chemps2-lib ${LIBC_INTERJECT})
set_target_properties      (chemps2-bin PROPERTIES OUTPUT_NAME "chemps2")

# <<<  Install  >>>

if (NOT STATIC_ONLY)
    install (TARGETS chemps2-shared chemps2-bin
                     EXPORT "${PROJECT_NAME}Targets-shared"
                     LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
                     RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
endif()

if (NOT SHARED_ONLY)
    install (TARGETS chemps2-static chemps2-bin
                     EXPORT "${PROJECT_NAME}Targets-static"
                     ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
                     RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
endif()

install (DIRECTORY include/chemps2/
                   DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/chemps2
                   FILES_MATCHING PATTERN "*.h")

# <<<  Export interface  >>>

if (NOT STATIC_ONLY)
    if (APPLE)
        set_target_properties(chemps2-shared PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
    endif()
    target_compile_definitions (chemps2-shared INTERFACE USING_${PROJECT_NAME})
    target_include_directories (chemps2-shared INTERFACE $<BUILD_INTERFACE:${CheMPS2_SOURCE_DIR}/CheMPS2/include/chemps2>
                                                         $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
                                                         $<TARGET_PROPERTY:tgt::hdf5,INTERFACE_INCLUDE_DIRECTORIES>)
endif()

if (NOT SHARED_ONLY)
    target_compile_definitions (chemps2-static INTERFACE USING_${PROJECT_NAME})
    target_include_directories (chemps2-static INTERFACE $<BUILD_INTERFACE:${CheMPS2_SOURCE_DIR}/CheMPS2/include/chemps2>
                                                         $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
                                                         $<TARGET_PROPERTY:tgt::hdf5,INTERFACE_INCLUDE_DIRECTORIES>)
endif()

# <<<  Export Config  >>>

    # explicit "share" not "DATADIR" for CMake search path
set (CMAKECONFIG_INSTALL_DIR "share/cmake/${PROJECT_NAME}")
if (NOT STATIC_ONLY)
    install (EXPORT "${PROJECT_NAME}Targets-shared"
                     NAMESPACE "${PROJECT_NAME}::"
                     DESTINATION ${CMAKECONFIG_INSTALL_DIR})
endif()

if (NOT SHARED_ONLY)
    install (EXPORT "${PROJECT_NAME}Targets-static"
                     NAMESPACE "${PROJECT_NAME}::"
                     DESTINATION ${CMAKECONFIG_INSTALL_DIR})
endif()

=== sphinx/CMakeLists.txt ===
find_package(Sphinx)
if (NOT SPHINX_FOUND)
    message (FATAL_ERROR "Sphinx is needed to build the user manual. Please install it correctly.")
endif (NOT SPHINX_FOUND)
set(SPHINX_DIR "${CheMPS2_BINARY_DIR}/sphinx")
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/conf.py.in" "${SPHINX_DIR}/conf.py")
add_custom_target(sphinx ${SPHINX_EXECUTABLE} -q -b html
                                              -c "${SPHINX_DIR}"
                                              -d "${SPHINX_DIR}/.doctree"
                                              "${CMAKE_CURRENT_SOURCE_DIR}"
                                              "${SPHINX_DIR}/html")

=== tests/CMakeLists.txt ===
file (MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/tests/tests)

set (TESTLIST "test1" "test2" "test3" "test4" "test5" "test6" "test7" "test8" "test9" "test10" "test11" "test12" "test13" "test14")

foreach (ITEM ${TESTLIST})
    configure_file (${CMAKE_SOURCE_DIR}/tests/${ITEM}.cpp.in ${CMAKE_BINARY_DIR}/tests/tests/${ITEM}.cpp)
    add_executable (${ITEM} ${CMAKE_BINARY_DIR}/tests/tests/${ITEM}.cpp)
    target_link_libraries (${ITEM} chemps2-lib)
    add_test (${ITEM} ${ITEM})
endforeach()

=== debian/changelog ===
chemps2 (1.8.12-4) unstable; urgency=medium

  * Acknowledge NMU.
  * debian/control (Build-Depends): Switch back from cython3-legacy to cython3
    (Closes: #1092786). 

 -- Michael Banck <mbanck@debian.org>  Sun, 16 Mar 2025 14:28:37 +0100

chemps2 (1.8.12-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062055

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 15:31:17 +0000

chemps2 (1.8.12-3) unstable; urgency=medium

  * Team upload.
  * Switch to cython3-legacy.
    Closes: #1056794
  * Do not fail to remove *.js files
    Closes: #1042629
  * Fix clean target
    Closes: #1044004
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Update watch file format version to 4.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Rely on pre-initialized dpkg-architecture variables.

 -- Andreas Tille <tille@debian.org>  Tue, 16 Jan 2024 08:45:40 +0100

chemps2 (1.8.12-2) UNRELEASED; urgency=medium

  [ Debichem Team ]

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on cmake, cython3 and
      python3-all.
    + Build-Depends-Indep: Drop versioned constraint on python3-sphinx.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Sun, 03 Jul 2022 15:27:03 +0200

chemps2 (1.8.12-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Banck <mbanck@debian.org>  Sun, 03 Jul 2022 15:26:42 +0200

=== debian/control ===
--- 
+++ 
@@ -4,28 +4,32 @@
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Sebastian Wouters <sebastianwouters@gmail.com>,
            Michael Banck <mbanck@debian.org>
-Build-Depends: debhelper (>= 11),
-               cmake (>= 3.0.2),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
+               cmake,
+               cython3,
                libblas-dev,
                liblapack-dev,
                libhdf5-dev,
-               dh-python,
-               python3-all (>= 3.6),
+               dh-sequence-python3,
+               python3-all,
                python3-setuptools,
                python3-docutils,
-               cython3 (>= 0.19),
                python3-numpy,
                libpython3-dev,
-Build-Depends-Indep: python3-sphinx (>= 1.1),
+Build-Depends-Indep: python3-sphinx,
                      libjs-mathjax,
                      libjs-jquery,
                      libjs-underscore
-Standards-Version: 4.2.1
-Homepage: http://sebwouters.github.io/CheMPS2/index.html
+Standards-Version: 4.6.2
+Homepage: https://sebwouters.github.io/CheMPS2/index.html
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debichem-team/chemps2.git
 Vcs-Browser: https://salsa.debian.org/debichem-team/chemps2
 
-Package: libchemps2-3
+Package: libchemps2-3t64
+Provides: ${t64:Provides}
+Replaces: libchemps2-3
+Breaks: libchemps2-3 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -57,12 +61,11 @@
 Package: libchemps2-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: no
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libchemps2-3 (= ${binary:Version})
+         libchemps2-3t64 (= ${binary:Version})
 Suggests: chemps2-doc
-Description: C++ headers, static library, and symlink for libchemps2-3
+Description: C++ headers, static library, and symlink for libchemps2-3t64
  chemps2 is a scientific library which contains a spin-adapted
  implementation of the density matrix renormalization group (DMRG)
  for ab initio quantum chemistry. This wavefunction method allows one
@@ -94,7 +97,7 @@
 Multi-Arch: foreign
 Depends: ${sphinxdoc:Depends},
          ${misc:Depends}
-Description: Documentation of the libchemps2-3 package
+Description: Documentation of the libchemps2-3t64 package
  chemps2 is a scientific library which contains a spin-adapted
  implementation of the density matrix renormalization group (DMRG)
  for ab initio quantum chemistry. This wavefunction method allows one
@@ -124,11 +127,11 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libchemps2-3 (= ${binary:Version})
+         libchemps2-3t64 (= ${binary:Version})
 Breaks: libchemps2-1 (<< 1.7-1~)
 Replaces: libchemps2-1 (<< 1.7-1~)
 Suggests: chemps2-doc
-Description: Executable to call libchemps2-3 from the command line
+Description: Executable to call libchemps2-3t64 from the command line
  chemps2 is a scientific library which contains a spin-adapted
  implementation of the density matrix renormalization group (DMRG)
  for ab initio quantum chemistry. This wavefunction method allows one
@@ -162,9 +165,9 @@
 Depends: ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
-         libchemps2-3 (= ${binary:Version})
+         libchemps2-3t64 (= ${binary:Version})
 Suggests: chemps2-doc
-Description: Python 3 interface for libchemps2-3
+Description: Python 3 interface for libchemps2-3t64
  chemps2 is a scientific library which contains a spin-adapted
  implementation of the density matrix renormalization group (DMRG)
  for ab initio quantum chemistry. This wavefunction method allows one
@@ -188,4 +191,3 @@
  for DMRG-CASPT2 the active space 4-RDM.
  .
  This package installs the library for Python 3.
-

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,8 @@
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
 # Cfr. https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=773266
-DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 DEB_BUILD_OPTIONS += partialcheck
 
@@ -35,7 +34,7 @@
 	# Solving the complaints from lintian about jquery.js & underscore.js
 	cd build-sphinx/html && sed -i "s/_static\/jquery.js/\/usr\/share\/javascript\/jquery\/jquery.js/" *.html
 	cd build-sphinx/html && sed -i "s/_static\/underscore.js/\/usr\/share\/javascript\/underscore\/underscore.js/" *.html
-	cd build-sphinx/html/_static && rm jquery*.js underscore*.js
+	cd build-sphinx/html/_static && rm -f jquery*.js underscore*.js
 
 override_dh_auto_install:
 	dh_auto_install
@@ -67,7 +66,7 @@
 
 override_dh_clean:
 	dh_clean
-	rm -rf build-sphinx PyCheMPS2/build PyCheMPS2/PyCheMPS2.cpp PyCheMPS2/*.pyc
+	rm -rf build-sphinx PyCheMPS2/build PyCheMPS2/PyCheMPS2.cpp PyCheMPS2/*.pyc PyCheMPS2/CheMPS2.egg-info
 
 %:
-	dh $@ --with python3
+	dh $@

=== debian/tests/control ===
Tests: libtest, pytest, bintest
Depends: libchemps2-dev,
         python3-chemps2,
         chemps2,
         libhdf5-dev,
         g++,
         cmake (>= 3.0.2),
         python3-all (>= 3.6),
         python3-numpy
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://github.com/SebWouters/CheMPS2/tags .*/refs/tags/v([\d.]+)\.tar\.gz
